Skip to main content
GET
Get Coupon

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

couponId
integer
required

The coupon ID.

Response

200 - application/json
id
integer
Example:

1

code
string
Example:

"SAVE10"

salt
string
Example:

"824f3c2518566"

global
boolean
Example:

true

discount
string
Example:

"10.00"

uses
integer
Example:

0

max_uses
string | null
Example:

null

max_uses_per_customer
string | null
Example:

null

min_invoice_price
string | null
Example:

null

allowed_emails
string | null
Example:

null

payment_method_ids
string | null
Example:

null

disable_if_volume_discount
boolean
Example:

false

disable_if_bundle_offer
boolean
Example:

false

disable_if_quantity_deal
boolean
Example:

false

disable_if_gateway_discount
boolean
Example:

false

disable_if_affiliate_discount
boolean
Example:

false

disable_if_reseller_discount
boolean
Example:

true

uses_count_mode
string
Example:

"pending"

type
string
Example:

"percentage"

start_date
string | null
Example:

null

expiration_date
string | null
Example:

null

shop_id
integer
Example:

1

created_at
string
Example:

"2026-11-06T10:45:19.000000Z"

updated_at
string
Example:

"2026-11-06T10:45:19.000000Z"

applies_to_renewals
boolean
Example:

false

items
array
Example: